GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions Class Reference

## Public Member Functions
ReturnLabels | getReturnLabels ()
void | setReturnLabels (ReturnLabels value)
String | getUseDefault ()
void | setUseDefault (String value)
DefinePrinter | getDefinePrinter ()
void | setDefinePrinter (DefinePrinter value)

## Protected Attributes
ReturnLabels | returnLabels
String | useDefault
DefinePrinter | definePrinter

## Detailed Description

Data to specify in which way labels shall be produced and who should print those labels

Java class for PrintingOptions complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PrintingOptions">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <choice>
            <element name="ReturnLabels" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}ReturnLabels"/>
            <element name="UseDefault" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="DefinePrinter" type="{http://fpcs.gls-group.eu/v1/ShipmentProcessing/types}DefinePrinter"/>
          </choice>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 41 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## Member Function Documentation

## ◆ getDefinePrinter()

DefinePrinter eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.getDefinePrinter | ( |  | ) |

Gets the value of the definePrinter property.

Returns
  possible object is DefinePrinter

Definition at line 106 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## ◆ getReturnLabels()

ReturnLabels eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.getReturnLabels | ( |  | ) |

Gets the value of the returnLabels property.

Returns
  possible object is ReturnLabels

Definition at line 58 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## ◆ getUseDefault()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.getUseDefault | ( |  | ) |

Gets the value of the useDefault property.

Returns
  possible object is String

Definition at line 82 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## ◆ setDefinePrinter()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.setDefinePrinter | ( | DefinePrinter | value | ) |

Sets the value of the definePrinter property.

Parameters

  value | allowed object is DefinePrinter

Definition at line 118 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## ◆ setReturnLabels()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.setReturnLabels | ( | ReturnLabels | value | ) |

Sets the value of the returnLabels property.

Parameters

  value | allowed object is ReturnLabels

Definition at line 70 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## ◆ setUseDefault()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.setUseDefault | ( | String | value | ) |

Sets the value of the useDefault property.

Parameters

  value | allowed object is String

Definition at line 94 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## Member Data Documentation

## ◆ definePrinter

DefinePrinter eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.definePrinter
| protected

Definition at line 48 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## ◆ returnLabels

ReturnLabels eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.returnLabels
| protected

Definition at line 44 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

## ◆ useDefault

String eu.gls_group.fpcs.v1.shipmentprocessing.types.PrintingOptions.useDefault
| protected

Definition at line 46 of file gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/PrintingOptions.java